Library
Create Library Item
Create a new library folder or file record.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Request Body
application/json
name*string
type*string
Value in
"folder" | "file"parent_id?string
Format
uuidfileType?string
origin?string
size?integer
metadata?
colorHex?string
Response Body
application/json
application/json
application/json
curl -X POST "https://api.fastfold.ai/v1/library/create" \ -H "Content-Type: application/json" \ -d '{ "name": "Workflow Inputs", "type": "folder" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "file",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"fileType": "string",
"origin": "string",
"size": 0,
"metadata": {},
"children": [
{}
],
"colorHex": "string"
}{
"message": "string"
}{
"message": "string"
}Last updated on